Classes | Functions
StarObjectModelInternal Namespace Reference

Internal: the structures of a StarObjectModel. More...

## Classes
class | Layer
| Internal: class used to store a layer and its data. More...
class | LayerSet
| Internal: class used to store a layer set and its data. More...
class | Page
| Internal: class used to store a page and its data. More...
struct | State
| Internal: the state of a StarObjectModel. More...

## Functions
static bool | convertUint8ListToBoolList (std::vector< int > const &orig, std::vector< bool > &res)
| small function used to convert a list of uint8_t to a bool vector

## Detailed Description

Internal: the structures of a StarObjectModel.

## Function Documentation

## ◆ convertUint8ListToBoolList()

static bool StarObjectModelInternal::convertUint8ListToBoolList | ( | std::vector< int > const & | orig,
|  | std::vector< bool > & | res )
| static

small function used to convert a list of uint8_t to a bool vector

Referenced by StarObjectModel::readSdrLayerSet(), and StarObjectModel::readSdrMPageDesc().